/* This is a simple password program that simply installs a password
   in the database....
*/   

#include <stdio.h>
#include <time.h>
#include "radwho.h"
#include <gdbm.h>          /* database header. */

#define NULL ((void *)0)
//extern int gdbm_err;

/* Should just need a Main routine. */
int main(int argc, char *argv[])
{
char *user = argv[1];
int  res;
const char *sent_pw;
char *real_pw, *invalid_pw;
GDBM_FILE dbf;
datum key,username;

if ( argc < 2) {
	puts("USAGE: radpasswd username password");
	return 1;
}


/* open the datadabse and get my password. */

dbf = gdbm_open(AUTHFILE,512,GDBM_WRCREAT,00600,0);

/* authorize if we have no file to block access. */
if ( dbf == NULL ) { 
//	printf("Database file %s refused to open...\n%s\n",AUTHFILE,gdbm_strerror(gdbm_err));
	printf("Database file %s refused to open...\n\n",AUTHFILE);
	return 1;
}
username.dptr = (char *)user;
username.dsize= strlen(user);
key.dptr = (char *)argv[2];
key.dsize=strlen(argv[2]);

res = gdbm_store( dbf, username,key,GDBM_REPLACE);

if ( res == 1 ) {
	printf("Data updated: %s:%s\n\n",user,argv[2]);
} else {
	printf("User added: %s:%s\n\n",user,argv[2]);
}

gdbm_close(dbf);  /* MUST close the file */

return 0;  /* success */
}
/* End of the password insertion program */
